/*
 * JBoss, the open source webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.jacc;

import javax.annotation.security.RolesAllowed;
import javax.annotation.security.PermitAll;
import javax.ejb.Remote;

import org.jboss.annotation.security.SecurityDomain;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.3.2.5 $
 */
@javax.ejb.Stateful
@Remote (Stateful.class)
@SecurityDomain ("other")
public class StatefulBean implements Stateful, java.io.Serializable
{
   @PermitAll
   public int unchecked(int i)
   {
      System.out.println("stateful unchecked");
      return i;
   }
   
   @RolesAllowed ("allowed")
   public int checked(int i)
   {
      System.out.println("stateful checked");
      return i;
   }
}
